## org.eclipse.emf.ecore.change.impl
Class ListChangeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.change.impl.ListChangeImpl

All Implemented Interfaces:
  Notifier, ListChange, EObject, InternalEObject

    public class ListChangeImpl

extends EObjectImpl
implements ListChange

An implementation of the model object 'List Change'.

The following features are implemented:

- `Kind`
- `Data Values`
- `Index`
- `Move To Index`
- `Values`
- `Reference Values`
- `Feature`
- `Feature Map Entry Values`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EList<java.lang.Object>` `dataValueDelegatingList` The data value delegating list is used to ensure that the elements are properly converted to and from strings when added and removed from the dataValues list.
`protected EList<java.lang.String>` `dataValues` The cached value of the '`Data Values`' attribute list
`protected EStructuralFeature` `feature` The cached value of the '`Feature`' reference
`protected EList<FeatureMapEntry>` `featureMapEntryValues` The cached value of the '`Feature Map Entry Values`' containment reference list
`protected int` `index` The cached value of the '`Index`' attribute
`protected static int` `INDEX_EDEFAULT` The default value of the '`Index`' attribute
`protected ChangeKind` `kind` The cached value of the '`Kind`' attribute
`protected static ChangeKind` `KIND_EDEFAULT` The default value of the '`Kind`' attribute
`protected static int` `MOVE_TO_INDEX_EDEFAULT` The default value of the '`Move To Index`' attribute
`protected int` `moveToIndex` The cached value of the '`Move To Index`' attribute
`protected EList<EObject>` `referenceValues` The cached value of the '`Reference Values`' reference list

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ListChangeImpl()`

Method Summary
`void` `apply(EList<java.lang.Object> originalList)`
`void` `applyAndReverse(EList<java.lang.Object> originalList)`
`EStructuralFeature` `basicGetFeature()`
`protected EList<java.lang.Object>` `createDataValueDelegatingList()` Creates the data value delegating list
`protected FeatureMapEntry` `createFeatureMapEntry(EStructuralFeature feature, java.lang.Object value)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EList<java.lang.String>` `getDataValues()`
`EStructuralFeature` `getFeature()` Returns the value of the 'Feature' reference
`EStructuralFeature` `getFeatureGen()`
`EList<FeatureMapEntry>` `getFeatureMapEntryValues()`
`int` `getIndex()`
`ChangeKind` `getKind()`
`int` `getMoveToIndex()`
`EList<EObject>` `getReferenceValues()`
`EList<java.lang.Object>` `getValues()`
`void` `setFeature(EStructuralFeature newFeature)`
`void` `setIndex(int newIndex)`
`void` `setKind(ChangeKind newKind)`
`void` `setMoveToIndex(int newMoveToIndex)`
`void` `setValues(EList<?> values)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### KIND_EDEFAULT

    protected static final ChangeKind KIND_EDEFAULT

  The default value of the '`Kind`' attribute.

  See Also:
    `getKind()`

### kind

    protected ChangeKind kind

  The cached value of the '`Kind`' attribute.

  See Also:
    `getKind()`

### dataValues

    protected EList<java.lang.String> dataValues

  The cached value of the '`Data Values`' attribute list.

  See Also:
    `getDataValues()`

### INDEX_EDEFAULT

    protected static final int INDEX_EDEFAULT

  The default value of the '`Index`' attribute.

  See Also:
    `getIndex()`, Constant Field Values

### index

    protected int index

  The cached value of the '`Index`' attribute.

  See Also:
    `getIndex()`

### MOVE_TO_INDEX_EDEFAULT

    protected static final int MOVE_TO_INDEX_EDEFAULT

  The default value of the '`Move To Index`' attribute.

  See Also:
    `getMoveToIndex()`, Constant Field Values

### moveToIndex

    protected int moveToIndex

  The cached value of the '`Move To Index`' attribute.

  See Also:
    `getMoveToIndex()`

### referenceValues

    protected EList<EObject> referenceValues

  The cached value of the '`Reference Values`' reference list.

  See Also:
    `getReferenceValues()`

### feature

    protected EStructuralFeature feature

  The cached value of the '`Feature`' reference.

  See Also:
    `getFeature()`

### featureMapEntryValues

    protected EList<FeatureMapEntry> featureMapEntryValues

  The cached value of the '`Feature Map Entry Values`' containment reference list.

  See Also:
    `getFeatureMapEntryValues()`

### dataValueDelegatingList

    protected EList<java.lang.Object> dataValueDelegatingList

  The data value delegating list is used to ensure that the elements are properly converted to and from strings when added and removed from the dataValues list.

Constructor Detail

### ListChangeImpl

    protected ListChangeImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### getKind

    public ChangeKind getKind()

  Specified by:
    `getKind` in interface `ListChange`
  Returns:
    the value of the 'Kind' attribute.
  See Also:
    `ChangeKind`, `ListChange.setKind(ChangeKind)`, `ChangePackage.getListChange_Kind()`

### setKind

    public void setKind(ChangeKind newKind)

  Specified by:
    `setKind` in interface `ListChange`
  Parameters:
    `newKind` - the new value of the 'Kind' attribute.
  See Also:
    `ChangeKind`, `ListChange.getKind()`

### getDataValues

    public EList<java.lang.String> getDataValues()

  Specified by:
    `getDataValues` in interface `ListChange`
  Returns:
    the value of the 'Data Values' attribute list.
  See Also:
    `ChangePackage.getListChange_DataValues()`

### createDataValueDelegatingList

    protected EList<java.lang.Object> createDataValueDelegatingList()

  Creates the data value delegating list

### createFeatureMapEntry

    protected FeatureMapEntry createFeatureMapEntry(EStructuralFeature feature,
                                                    java.lang.Object value)

### getIndex

    public int getIndex()

  Specified by:
    `getIndex` in interface `ListChange`
  Returns:
    the value of the 'Index' attribute.
  See Also:
    `ListChange.setIndex(int)`, `ChangePackage.getListChange_Index()`

### setIndex

    public void setIndex(int newIndex)

  Specified by:
    `setIndex` in interface `ListChange`
  Parameters:
    `newIndex` - the new value of the 'Index' attribute.
  See Also:
    `ListChange.getIndex()`

### getMoveToIndex

    public int getMoveToIndex()

  Specified by:
    `getMoveToIndex` in interface `ListChange`
  Returns:
    the value of the 'Move To Index' attribute.
  See Also:
    `ListChange.setMoveToIndex(int)`, `ChangePackage.getListChange_MoveToIndex()`

### setMoveToIndex

    public void setMoveToIndex(int newMoveToIndex)

  Specified by:
    `setMoveToIndex` in interface `ListChange`
  Parameters:
    `newMoveToIndex` - the new value of the 'Move To Index' attribute.
  See Also:
    `ListChange.getMoveToIndex()`

### getReferenceValues

    public EList<EObject> getReferenceValues()

  Specified by:
    `getReferenceValues` in interface `ListChange`
  Returns:
    the value of the 'Reference Values' reference list.
  See Also:
    `ChangePackage.getListChange_ReferenceValues()`

### getFeatureGen

    public EStructuralFeature getFeatureGen()

### getFeature

    public EStructuralFeature getFeature()

  Description copied from interface: `ListChange`
  Returns the value of the 'Feature' reference.

  Specified by:
    `getFeature` in interface `ListChange`
  Returns:
    the value of the 'Feature' reference.
  See Also:
    `ListChange.setFeature(EStructuralFeature)`, `ChangePackage.getListChange_Feature()`

### basicGetFeature

    public EStructuralFeature basicGetFeature()

### setFeature

    public void setFeature(EStructuralFeature newFeature)

  Specified by:
    `setFeature` in interface `ListChange`
  Parameters:
    `newFeature` - the new value of the 'Feature' reference.
  See Also:
    `ListChange.getFeature()`

### getFeatureMapEntryValues

    public EList<FeatureMapEntry> getFeatureMapEntryValues()

  Specified by:
    `getFeatureMapEntryValues` in interface `ListChange`
  Returns:
    the value of the 'Feature Map Entry Values' containment reference list.
  See Also:
    `ChangePackage.getListChange_FeatureMapEntryValues()`

### getValues

    public EList<java.lang.Object> getValues()

  Specified by:
    `getValues` in interface `ListChange`
  Returns:
    the value of the 'Values' attribute list.
  See Also:
    `ChangePackage.getListChange_Values()`

### setValues

    public void setValues(EList<?> values)

### apply

    public void apply(EList<java.lang.Object> originalList)

  Specified by:
    `apply` in interface `ListChange`

### applyAndReverse

    public void applyAndReverse(EList<java.lang.Object> originalList)

  Specified by:
    `applyAndReverse` in interface `ListChange`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.